SUL account recently created with no attached or unattached accounts, and undeletable
Closed, ResolvedPublic

Description

https://meta.wikimedia.org/w/index.php?title=Special:CentralAuth&target=NorthernSoul has no attached accounts, nor unattached ones, clearly shows up and, as I understand it, prevents local account creation, yet is undeletable from CentralAuth as "Error: the global account "NorthernSoul" does not exist." shows up, despite it clearly not being the case.


Version: unspecified
Severity: normal

bzimport set Reference to bz35792.
Snowolf created this task.Via LegacyApr 7 2012, 1:22 PM
Mabdul added a comment.Via ConduitApr 7 2012, 1:25 PM

Error message while trying to create:

[14:57:55] <mabdul|busy> A database error has occurred. We apologise for any inconvenience this might have caused. The most likely cause of this problem is a search or other operation that took too long. Possible reasons include:
[14:57:55] <mabdul|busy> A search where all words are in quotes. Try searching without the quotes initially or add a few more words outside the quotes to restrict the search;
[14:57:55] <mabdul|busy> An exceptionally large personal watchlist (probably over 10,000 items); or
[14:57:55] <mabdul|busy> Exceptionally heavy load on the database servers.
[14:57:55] <mabdul|busy>
[14:57:55] <mabdul|busy> Technical details about this error:
[14:57:55] <mabdul|busy> Last attempted database query: (SQL query hidden)
[14:57:55] <mabdul|busy> Function: User::saveOptions
[14:57:55] <mabdul|busy> MySQL error: 1213: Deadlock found when trying to get lock; try restarting transaction (10.0.6.48)

bzimport added a comment.Via ConduitApr 8 2012, 12:05 AM

RSYQFIOJGWZA wrote:

The URL also shows "Home wiki: unable to determine".

stwalkerster added a comment.Via ConduitApr 8 2012, 1:43 AM

From what I can tell from looking in the cut-down toolserver replica, the global account (globaluser) doesn't actually appear to exist. It only "exists" in the "list of global names" (globalnames), which I think is used to check conflicts. Hence, the name exists so can't be created, but the global account doesn't exist so can't be deleted. I could be wrong, but that may help someone actually fix it.

bzimport added a comment.Via ConduitApr 8 2012, 2:16 PM

RSYQFIOJGWZA wrote:

Now 'There is no global account for "NorthernSoul"'.

Snowolf added a comment.Via ConduitMay 14 2012, 10:46 PM

Now the same with Maldez1, I don't understand why this was marked as fixed, it clearly isn't.

MarkAHershberger added a comment.Via ConduitMay 15 2012, 1:24 PM

(In reply to comment #6)

Now the same with Maldez1, I don't understand why this was marked as fixed, it
clearly isn't.

Bumping priority, notifying Robla and Sumana.

MarkAHershberger added a comment.Via ConduitMay 15 2012, 1:55 PM

Created attachment 10598
Maldez1 CentralAuth Problem

(In reply to comment #6)

Now the same with Maldez1, I don't understand why this was marked as fixed, it
clearly isn't.

Added screenshot of current problem to help with troubleshooting. Bumping priority, notifying Robla and Sumana.

Attached:

Reedy added a comment.Via ConduitMay 15 2012, 10:50 PM

(In reply to comment #3)

From what I can tell from looking in the cut-down toolserver replica, the
global account (globaluser) doesn't actually appear to exist. It only "exists"
in the "list of global names" (globalnames), which I think is used to check
conflicts. Hence, the name exists so can't be created, but the global account
doesn't exist so can't be deleted. I could be wrong, but that may help someone
actually fix it.

Indeed. For "Maldez1" it was still showing entries, and a global user id that didn't exist. Manually invalidating the cache for the user then made it disappear on Special:CentralAuth and gave the more sensible error message of 'There is no global account for "Maldez1"'

csteipp added a comment.Via ConduitMay 15 2012, 11:30 PM

In this case, it looks like Maldez1 was inserted into globalnames, but not globaluser. The user id shown in the attachment was missing from the globaluser table, so possibly there was an error later on in the creation process, and the globaluser row was deleted/rolled-back. I'm trying to track down what cases would cause that..

stwalkerster added a comment.Via ConduitJun 19 2012, 7:50 PM

Just happened again with Rubiks99... any progress on this?

bzimport added a comment.Via ConduitJun 19 2012, 10:25 PM

peter_symonds wrote:

I was asked by Stwalkerster to comment on the bug after I hacked my way around this problem for Rubiks99. I created a temporary account on mediawiki.org (Rubiks99-temp) and renamed it to Rubiks99. This had the effect of disabling the global account so it could be created on enwiki. Not sure if this helps.

bzimport added a comment.Via ConduitJul 25 2012, 6:17 AM

sumanah wrote:

Can we still reproduce this problem, even after the most recent deployment?

stwalkerster added a comment.Via ConduitJul 25 2012, 5:08 PM

(In reply to comment #14)

Can we still reproduce this problem,

This bug was/is temperamental - we've noticed four or five instances of this in a few months, it may of course be happening more but unnoticed if it's happening to newbies rather than the ACC team. It may take a month or two to notice that it's "not happened in a while".

(In reply to comment #14)

even after the most recent deployment?

Has anything actually been committed/merged to do something about this? I had a quick glance over the page at [[mw:MediaWiki_1.20/wmf7]] but couldn't spot anything.

RobLa-WMF added a comment.Via ConduitSep 27 2012, 9:10 PM

This has been a background task for Chris for a while. Until we can figure out a reliable repro case, it's going to be difficult to diagnose how to fix this. Chris is going to look into ways we can log failures and possibly catch this in the act.

Platonides added a comment.Via ConduitOct 11 2012, 10:05 PM

Looks like we add the items to memcached before they are really stored in the db.

I'd need to dig on which paths of CentralAuth are called on creation.

As a way to reproduce, unconditionally sending an exception at User::saveOptions() should do it.

stwalkerster added a comment.Via ConduitMar 30 2013, 6:32 AM

Bump. Just happened again with Blinking5

Aklapper added a comment.Via ConduitApr 25 2013, 11:46 AM

(In reply to comment #16 by RobLa)

Chris is going to look into ways we can log failures and possibly catch this
in the act.

Chris: Has this happened, or is this still on the to-do list?

Aklapper added a comment.Via ConduitAug 14 2013, 2:12 PM

(In reply to comment #16 by RobLa)

Chris is going to look into ways we can log failures and possibly catch this
in the act.

Chris: Has this happened, or is this still on the to-do list?

Callanecc added a comment.Via ConduitOct 27 2013, 7:14 AM

Adding a bit more info to this one. The error message which appears when the bug occurs has changed. It appears as below:
A database query error has occurred. This may indicate a bug in the software.

  • Function: CentralAuthUser::register
  • Error: 1062 Duplicate entry 'Ahmad Komarudin' for key 'gu_name' (10.64.16.28)
Callanecc added a comment.Via ConduitOct 27 2013, 7:18 AM

(In reply to comment #21)

Adding a bit more info to this one. The error message which appears when the
bug occurs has changed. It appears as below:
A database query error has occurred. This may indicate a bug in the software.

  • Function: CentralAuthUser::register
  • Error: 1062 Duplicate entry 'Ahmad Komarudin' for key 'gu_name' (10.64.16.28)

However the global and local enwiki account was created [https://en.wikipedia.org/w/index.php?title=Special%3ACentralAuth&target=Ahmad_Komarudin].

Technical13 added a comment.Via ConduitFeb 12 2014, 1:13 PM

I got the same error as mabdul in Comment 1 trying to create [[Special:CentralAuth/Moyokel]] last night.

Nemo_bis added a comment.Via ConduitSep 25 2014, 5:26 AM

Hopefully, this was fixed for good, at bug 39996.

(Kunal Mehta (Legoktm) on bug 39996 comment #93)

There have been no new broken accounts since Sept 5th (possibly earlier).
Yay!

Closing this as fixed, but I'll keep an eye on it to make sure it doesn't
come back.

  • This bug has been marked as a duplicate of bug 39996 ***

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.